Skip to main content
`Ctrl`+`K`

# PCBDDCSetPrimalVerticesLocalIS

Set additional user defined primal vertices in `PCBDDC`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetPrimalVerticesLocalIS(PC pc, IS PrimalVertices)

Collective

## Input Parameters

- pc - the preconditioning context

- PrimalVertices - index set of primal vertices in local numbering (can be empty)

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetPrimalVerticesIS()`, `PCBDDCGetPrimalVerticesIS()`, `PCBDDCGetPrimalVerticesLocalIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCBDDCSetPrimalVerticesLocalIS_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages